#!/usr/bin/env python3
from __future__ import print_function

from py2stl import *

print(box(24, 24, 36).translateZ(18))

for z in range(6):
	print(box(25, 25, 2).translateZ((z+1)*6))

for x in range(5):
	print(box(2, 26, 36).translate((x-2)*6, 0, 18))

steps = Group()
for i in range(10):
	steps += box(2, 0.45, 0.15).translate(0, i * 0.3, i * 0.3 + 0.15)
steps += box(2, 2, 0.3).translate(0, 4, 3)
steps += box(2, 2, 0.2).translate(0, 4, 6)
print(steps.translate(13, -3, 0))
