#!/usr/bin/env python3
from __future__ import print_function

from py2stl import *

walls = Group()
walls += box(6, 54, 27).translateX(4.5)
walls += box(6, 54, 27).translateX(-4.5)
walls += box(6, 50, 27)

print(walls.translateZ(27/2))

# Balconies.
for i in range(8):
	print(box(17, 52, 1).translateZ(0.5).translateZ((i+1)*3))

# Partitions.
for i in range(5):
	print(box(17, 0.1, 24).translate(0, (i-2)*9, 15))
