#!/usr/bin/env python3
from __future__ import print_function

from math import radians
from py2stl import *

print(box(60, 12, 36).translateZ(18))

for x in range(10):
	for z in range(10):
		if (x + z) % 2 == 0:
			print(box(2, 14, 1)
				.translate(x*6+0.5-27, -0.5, (z+2)*3+0.5))

for x in range(5):
	print(box(1.5, 6, 0.25)
		.rotateX(radians(-15))
			.translate((x-2)*3, -6, 3))

print(box(10, 6, 6).translate(-15, 0, 36))
print(box(10, 6, 6).translate(15, 0, 36))
